[basics]
name = "Atridad Lahiji"
email = "me@atri.dad"
website = "https://atri.dad"

[[basics.profiles]]
network = "LinkedIn"
username = "atridadl"
url = "https://www.linkedin.com/in/atridadl/"

[[basics.profiles]]
network = "Gitea"
username = "atridad"
url = "https://git.atri.dad/atridad"

[summary]
content = "I am a full-stack web developer and researcher with a background maintaining and developing for large-scale enterprise software systems."

[[experience]]
company = "Atash Consulting"
position = "Owner/Developer"
location = "Edmonton, Alberta"
date = "June 2019 – Present"
description = [
    "Builds mobile and web applications for small-medium sized businesses",
    "Provides consulting on application development, system architecture, DevOps, etc",
    "Hosting websites for small-medium sized businesses",
]
url = "https://atash.dev"

[[experience]]
company = "University of Saskatchewan CEPHIL Lab"
position = "Research Technician"
location = "Saskatoon, Saskatchewan"
date = "November 2023 – Present"
description = [
    "Developing mobile and web applications",
    "Coordinating with other grant researchers to deliver a minimum viable product",
    "Gathering requirements from stakeholders to craft a product timeline",
    "Acting as a technical lead and supervisor to a developer intern",
]

[[experience]]
company = "Alberta Motor Association"
position = "Software Developer II"
location = "Edmonton, Alberta"
date = "August 2021 – November 2023"
description = [
    "Developed and maintained internal enterprise-level business applications leveraging Amazon Web Services (AWS)",
    "Used React and Create React App (CRA) for standalone applications and micro-front-ends",
    "Developed an in-house payment gateway for all AMA services that integrates with Stripe",
    "Provided tier 3 support for internal services",
    "Participated in a bi-monthly 24/7 on-call rotation",
    "Mentored students in the organization's Developer in Training program",
]

[[experience]]
company = "University of Alberta IST"
position = "Software Developer"
location = "Edmonton, Alberta"
date = "October 2019 – August 2021"
description = [
    "Front-end development of web applications using Vue.js",
    "Leveraged Amazon Web Services to adopt a serverless architecture",
    "Maintained a secure exam application developed in-house",
    "Monitored and maintained an exam scheduling system hosted on-premises",
]

[[experience]]
company = "University of Alberta IST"
position = "Support Analyst"
location = "Edmonton, Alberta"
date = "July 2017 – October 2019"
description = [
    "Provided support for our Moodle installation to students, faculty, and staff",
    "Front-end development of web applications using Vue.js",
]

[[education]]
institution = "University of Saskatchewan"
degree = "Masters"
field = "Computer Science"
date = "2024 – Present"
details = [
    "Supervisor: Dr. Nathaniel Osgood",
    "CMPT 838: Computer Security",
    "CMPT 815: Computer Systems and Performance Evaluation",
]

[[education]]
institution = "University of Saskatchewan"
degree = "Bachelors (3 Year)"
field = "Computer Science"
date = "2016 – 2019"

[[education]]
institution = "University of Saskatchewan"
degree = "Bachelors"
field = "Computer Engineering"
date = "2012 – 2017"

[[skills]]
name = "HTML + CSS + JavaScript"
level = 5

[[skills]]
name = "TypeScript"
level = 5

[[skills]]
name = "Vitest, Jest, and Playwright"
level = 4

[[skills]]
name = "Docker + Docker Compose"
level = 5

[[skills]]
name = "Go (Golang)"
level = 4

[[skills]]
name = "SQL (PostgreSQL, MySQL, SQLite)"
level = 4

[[skills]]
name = "Python"
level = 4

[[skills]]
name = "SCRUM"
level = 5

[[skills]]
name = "Amazon Web Services (AWS)"
level = 4

[[skills]]
name = "Ruby"
level = 2

[[skills]]
name = "Test Driven Development"
level = 3

[[skills]]
name = "C#"
level = 3

[[skills]]
name = "PHP"
level = 2

[[skills]]
name = "Time Management"
level = 4

[[skills]]
name = "Problem Solving"
level = 5

[[skills]]
name = "Attention to Detail"
level = 5

[[volunteer]]
organization = "Big Brother Big Sisters"
position = "Mentor"
date = "2021 – 2022"
